"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var loader_utils_1 = require("loader-utils");
var validateOptions = require("schema-utils");
var classification_1 = require("./classification");
var globalization_1 = require("./globalization");
var function_1 = require("./function");
exports.pitch = function_1.pitch;
var classification_2 = require("./classification");
exports.VueDIPlugin = classification_2.VueDIPlugin;
function load(content) {
    var options = loader_utils_1.getOptions(this);
    var entries = globalization_1.configuration.entries;
    this.cacheable();
    validateOptions(globalization_1.schema, options, 'vue-di-loader');
    if (/\.vue$/i.test(this.resourcePath)) {
        var ast = new classification_1.ASTClass(this.resourcePath);
        ast.load(content);
        return ast.javascript;
    }
    else if ((/\.ts$/i.test(this.resourcePath))) {
        for (var i = 0; i < entries.length; i++) {
            var entry = entries[i];
            if (entry === this.resourcePath) {
                var ast = new classification_1.ASTClass(this.resourcePath);
                ast.inject(content);
                return ast.typescript;
            }
        }
    }
    // pass through
    return content;
}
exports.default = load;
//# sourceMappingURL=loader.js.map